/// <reference types="node" />
import ws from "ws";
import { EventEmitter } from "events";
import { Transcriber } from "../transcribers/Transcriber";
export declare class TranscriptionHandler extends EventEmitter {
    private readonly connection;
    private readonly transcriber;
    private static readonly TRANSCRIPTION_EVENT;
    constructor(connection: ws, transcriber: Transcriber);
    private processTranscript;
    private processMessage;
    private close;
}
