export declare enum TwilioConnectionEvents {
    MediaStreamStart = "start",
    Media = "media",
    CallEnded = "stop"
}
export interface TwilioMediaStreamStartEvent {
    event: TwilioConnectionEvents.MediaStreamStart;
    streamSid: string;
    start: {
        customParameters: {
            from: string;
            to: string;
        };
    };
}
export interface Call {
    from: string;
    to: string;
}
export declare const callParameterSerializer: {
    addParameters(stream: any, call: Call): void;
    extractParameters(event: TwilioMediaStreamStartEvent): Call;
};
