/// <reference types="jest" />
import WebSocket from "ws";
import { Transcriber } from "./transcribers/Transcriber";
import { DtmfBufferGenerator } from "./dtmf/DtmfPlayer";
export declare const waitForConnection: (ws: WebSocket) => Promise<unknown>;
export declare const createMockDtmfGenerator: () => jest.Mocked<DtmfBufferGenerator>;
export declare const createMockTranscriber: () => jest.Mocked<Transcriber>;
