/// <reference types="node" />
import { EventEmitter } from "events";
import { Transcriber } from "./Transcriber";
export declare class MulawGoogleSpeechToText extends EventEmitter implements Transcriber {
    #private;
    private speechPhrases;
    private useEnhanced;
    private readonly speechClient;
    private static createConfig;
    constructor(speechPhrases?: string[], useEnhanced?: boolean, speechClient?: import("@google-cloud/speech/build/src/v1").SpeechClient);
    transcribe(payload: string): void;
    close(): void;
    private newStreamRequired;
    getStream(): any;
}
export declare const mulawGoogleSpeechToText: (speechPhrases?: string[], useEnhanced?: boolean, speechClient?: import("@google-cloud/speech/build/src/v1").SpeechClient) => () => MulawGoogleSpeechToText;
